<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>TI  Graph Library   (TIGL): Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">TI  Graph Library   (TIGL)
   &#160;<span id="projectnumber">ver1.0</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Groups</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Pages</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">TIGLContainersSubgraphBase&lt; CVertex &gt; Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classSubgraphBase.html#a1a2a0614c77bb456f4d0cb504fb114bf">addInEdge</a>(ID_TYPE src, ID_TYPE target)</td><td class="entry"><a class="el" href="classSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classSubgraphBase.html#a8415be2d044f3ccf9fd43f7ca6c092b9">addInEdge</a>(ID_TYPE target, EDGE_TYPE edge)</td><td class="entry"><a class="el" href="classSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classSubgraphBase.html#afc262ca800b31471c6dac28bc59e7dd7">addOutEdge</a>(ID_TYPE src, ID_TYPE target)</td><td class="entry"><a class="el" href="classSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classSubgraphBase.html#a63636556c966a8048e7e9e1cb2e91cc7">addOutEdge</a>(ID_TYPE src, EDGE_TYPE edge)</td><td class="entry"><a class="el" href="classSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classSubgraphBase.html#a7f84979500a707a643c5bd1638ec6f67">addVertex</a>(CVertex &amp;x)</td><td class="entry"><a class="el" href="classSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classSubgraphBase.html#aafd0e90c37dae7b49cbdc612362df8d0">addVertex</a>(ID_TYPE &amp;id)</td><td class="entry"><a class="el" href="classSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classSubgraphBase.html#a1a8f8c5aebe53cfa75a0da8ceeb13c73">addVertex_consistent</a>(CVertex &amp;x)</td><td class="entry"><a class="el" href="classSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classSubgraphBase.html#a84db93d0ec9cfa38e310ddf714aebf2d">begin</a>()</td><td class="entry"><a class="el" href="classSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classSubgraphBase.html#af1d321bddac759f440f3292081b89a82">createVerticesList</a>(ID_TYPE &amp;numVertices)</td><td class="entry"><a class="el" href="classSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classSubgraphBase.html#a8958238066c83e2bdc2df022edc57586">DeallocPosTable</a>()</td><td class="entry"><a class="el" href="classSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classSubgraphBase.html#a9c1703b90d9743de8ab2b6ddb7b0e219">end</a>()</td><td class="entry"><a class="el" href="classSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classSubgraphBase.html#a5ded8c3cbfaa063fdf16cb25ab2b0399">exist</a>(ID_TYPE id)</td><td class="entry"><a class="el" href="classSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classSubgraphBase.html#ad588a2ada1c05c5a91f8127a5cb7e700">findPos</a>(ID_TYPE &amp;id, uint_fast32_t &amp;pos)</td><td class="entry"><a class="el" href="classSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classSubgraphBase.html#a8f8279b68201a061a0b82d6baa8efea9">flagDirected</a></td><td class="entry"><a class="el" href="classSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classSubgraphBase.html#a00c57c1eb46c5f6ea4c5c098865c6d11">getIndexedVertex</a>(ID_TYPE index)</td><td class="entry"><a class="el" href="classSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classSubgraphBase.html#a0f6fcbd0cb13652cf2cfb772203cf989">getNumEdges</a>()</td><td class="entry"><a class="el" href="classSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classSubgraphBase.html#ad3b6784d2d8eca7c51d78cb98a357025">getNumVertices</a>()</td><td class="entry"><a class="el" href="classSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classSubgraphBase.html#a17f052aaccc16b6a9a3c42b4519fe967">getVertex</a>(ID_TYPE &amp;id, VERTEX_ITERATOR *it)</td><td class="entry"><a class="el" href="classSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classSubgraphBase.html#af50bce5a84d6a774a0d0cfed10275eb5">getVertexPos</a>(ID_TYPE &amp;id)</td><td class="entry"><a class="el" href="classSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classSubgraphBase.html#af945f921a69f60d84ec83362bed164b4">getVerticesPtr</a>()</td><td class="entry"><a class="el" href="classSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classSubgraphBase.html#a184cedd204893f3f3ce9faec5c4af387">hash</a>(ID_TYPE &amp;id)</td><td class="entry"><a class="el" href="classSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classSubgraphBase.html#a6f9e3b506fe87f6393961e551aceb097">isConnected</a>(ID_TYPE &amp;src, ID_TYPE &amp;target)</td><td class="entry"><a class="el" href="classSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classSubgraphBase.html#ac15233878a0a6b1bebb89c44019b5868">isDirected</a>()</td><td class="entry"><a class="el" href="classSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classSubgraphBase.html#a8503b2b278cb03c8c853df1430d44a0c">MaxCollision</a>()</td><td class="entry"><a class="el" href="classSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classSubgraphBase.html#a8157c38da8edf78a26ef6363103ce740">memory_usage</a>(uint_fast32_t &amp;sizeVerticesList, uint_fast32_t &amp;sizePos)</td><td class="entry"><a class="el" href="classSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classSubgraphBase.html#a297661a428c71bf40cbfa3b77ec413b0">memoryUsage</a>()</td><td class="entry"><a class="el" href="classSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classSubgraphBase.html#a3052785c9de1b497dfeb3df1f3908318">posHashSize</a></td><td class="entry"><a class="el" href="classSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classSubgraphBase.html#afb9bf5a1f1e563415fc2685a8e770097">posHoles</a></td><td class="entry"><a class="el" href="classSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classSubgraphBase.html#a0fe9197bac7604394e0f743b993d6ec3">removeInEdge</a>(ID_TYPE src, ID_TYPE target)</td><td class="entry"><a class="el" href="classSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classSubgraphBase.html#acbb3850db815aa58de00acbc900ac3e6">removeOutEdge</a>(ID_TYPE src, ID_TYPE target)</td><td class="entry"><a class="el" href="classSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classSubgraphBase.html#a690892609f9fe96c720b12364b522f05">removeVertex</a>(ID_TYPE &amp;id)</td><td class="entry"><a class="el" href="classSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classSubgraphBase.html#a7769955c76112efe2c23ef43a85ac552">reset</a>()</td><td class="entry"><a class="el" href="classSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classSubgraphBase.html#ab310cf3b05179defbdafde49c7167694">size</a>()</td><td class="entry"><a class="el" href="classSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classSubgraphBase.html#a9a38e2aef24edfb18f95685e88441c15">TIGLContainersSubgraphBase</a>(bool isDireted=true, ID_TYPE assignedHashSize=0)</td><td class="entry"><a class="el" href="classSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classSubgraphBase.html#a401d397bc80d0c0606056ab1ff00e1ef">TIGLContainersSubgraphBase</a>(VERTEX_LIST_TYPE &amp;init_adj_list, bool isDireted, ID_TYPE assignedHashSize=0)</td><td class="entry"><a class="el" href="classSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classSubgraphBase.html#a0cddad22deb3397c932ea4a87fe758a6">vertexList</a></td><td class="entry"><a class="el" href="classSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classSubgraphBase.html#a1be4af9cd97cca92f16ff2ed3ba7c41a">vertexPos</a></td><td class="entry"><a class="el" href="classSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Tue Mar 3 2015 18:17:03 for TI  Graph Library   (TIGL) by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.7
</small></address>
</body>
</html>
